relaxngcc.javabody

## Class SimpleCharStream

- java.lang.Object
- - relaxngcc.javabody.SimpleCharStream

    public class SimpleCharStream
    extends java.lang.Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

### Field Summary

Fields
`int` `bufpos` Position in buffer.
`static boolean` `staticFlag` Whether parser is static.

### Constructor Summary

Constructors
Constructor and Description
`SimpleCharStream(java.io.InputStream dstream)` Constructor.
`SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn)` Constructor.
`SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)` Constructor.
`SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding)` Constructor.
`SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn)` Constructor.
`SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn, int buffersize)` Constructor.
`SimpleCharStream(java.io.Reader dstream)` Constructor.
`SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn)` Constructor.
`SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn, int buffersize)` Constructor.

### Method Summary

Methods
`void` `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`void` `backup(int amount)` Backup a number of characters.
`char` `BeginToken()` Start.
`void` `Done()` Reset buffer when finished.
`int` `getBeginColumn()` Get token beginning column number.
`int` `getBeginLine()` Get token beginning line number.
`int` `getColumn()` Deprecated.
`int` `getEndColumn()` Get token end column number.
`int` `getEndLine()` Get token end line number.
`java.lang.String` `GetImage()` Get token literal value.
`int` `getLine()` Deprecated.
`char[]` `GetSuffix(int len)` Get the suffix.
`char` `readChar()` Read a character.
`void` `ReInit(java.io.InputStream dstream)` Reinitialise.
`void` `ReInit(java.io.InputStream dstream, int startline, int startcolumn)` Reinitialise.
`void` `ReInit(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)` Reinitialise.
`void` `ReInit(java.io.InputStream dstream, java.lang.String encoding)` Reinitialise.
`void` `ReInit(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn)` Reinitialise.
`void` `ReInit(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn, int buffersize)` Reinitialise.
`void` `ReInit(java.io.Reader dstream)` Reinitialise.
`void` `ReInit(java.io.Reader dstream, int startline, int startcolumn)` Reinitialise.
`void` `ReInit(java.io.Reader dstream, int startline, int startcolumn, int buffersize)` Reinitialise.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### staticFlag

    public static final boolean staticFlag

Whether parser is static.

See Also:
  Constant Field Values

#### bufpos

    public int bufpos

Position in buffer.

### Constructor Detail

#### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream,
                    int startline,
                    int startcolumn,
                    int buffersize)

Constructor.

#### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream,
                    int startline,
                    int startcolumn)

Constructor.

#### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream)

Constructor.

#### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream,
                    java.lang.String encoding,
                    int startline,
                    int startcolumn,
                    int buffersize)
                     throws java.io.UnsupportedEncodingException

Constructor.

Throws:
  `java.io.UnsupportedEncodingException`

#### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream,
                    int startline,
                    int startcolumn,
                    int buffersize)

Constructor.

#### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream,
                    java.lang.String encoding,
                    int startline,
                    int startcolumn)
                     throws java.io.UnsupportedEncodingException

Constructor.

Throws:
  `java.io.UnsupportedEncodingException`

#### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream,
                    int startline,
                    int startcolumn)

Constructor.

#### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream,
                    java.lang.String encoding)
                     throws java.io.UnsupportedEncodingException

Constructor.

Throws:
  `java.io.UnsupportedEncodingException`

#### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream)

Constructor.

### Method Detail

#### BeginToken

    public char BeginToken()
                    throws java.io.IOException

Start.

Throws:
  `java.io.IOException`

#### readChar

    public char readChar()
                  throws java.io.IOException

Read a character.

Throws:
  `java.io.IOException`

#### getColumn

    @Deprecated
    public int getColumn()

Deprecated.

#### getLine

    @Deprecated
    public int getLine()

Deprecated.

#### getEndColumn

    public int getEndColumn()

Get token end column number.

#### getEndLine

    public int getEndLine()

Get token end line number.

#### getBeginColumn

    public int getBeginColumn()

Get token beginning column number.

#### getBeginLine

    public int getBeginLine()

Get token beginning line number.

#### backup

    public void backup(int amount)

Backup a number of characters.

#### ReInit

    public void ReInit(java.io.Reader dstream,
              int startline,
              int startcolumn,
              int buffersize)

Reinitialise.

#### ReInit

    public void ReInit(java.io.Reader dstream,
              int startline,
              int startcolumn)

Reinitialise.

#### ReInit

    public void ReInit(java.io.Reader dstream)

Reinitialise.

#### ReInit

    public void ReInit(java.io.InputStream dstream,
              java.lang.String encoding,
              int startline,
              int startcolumn,
              int buffersize)
                throws java.io.UnsupportedEncodingException

Reinitialise.

Throws:
  `java.io.UnsupportedEncodingException`

#### ReInit

    public void ReInit(java.io.InputStream dstream,
              int startline,
              int startcolumn,
              int buffersize)

Reinitialise.

#### ReInit

    public void ReInit(java.io.InputStream dstream,
              java.lang.String encoding)
                throws java.io.UnsupportedEncodingException

Reinitialise.

Throws:
  `java.io.UnsupportedEncodingException`

#### ReInit

    public void ReInit(java.io.InputStream dstream)

Reinitialise.

#### ReInit

    public void ReInit(java.io.InputStream dstream,
              java.lang.String encoding,
              int startline,
              int startcolumn)
                throws java.io.UnsupportedEncodingException

Reinitialise.

Throws:
  `java.io.UnsupportedEncodingException`

#### ReInit

    public void ReInit(java.io.InputStream dstream,
              int startline,
              int startcolumn)

Reinitialise.

#### GetImage

    public java.lang.String GetImage()

Get token literal value.

#### GetSuffix

    public char[] GetSuffix(int len)

Get the suffix.

#### Done

    public void Done()

Reset buffer when finished.

#### adjustBeginLineColumn

    public void adjustBeginLineColumn(int newLine,
                             int newCol)

Method to adjust line and column numbers for the start of a token.